<?php

namespace App\Observers;

use App\Models\SyncDelete;

class SyncDeleteObserver
{
    public function deleted($model)
    {
        SyncDelete::create([
            'table_name' => $model->getTable(),
            'record_uuid' => $model->uuid,
            'created_at' => $model->deleted_at
        ]);
    }
}
